core::File Class Reference

## Public Member Functions

| File (std::string fileName, int mode=O_RDONLY, int authority=0664)
void | setBufferSize (size_t size)
void | read ()
void | write (std::string data)

## Public Attributes

char * | buffer
size_t | size
std::string | fileName

The documentation for this class was generated from the following files:

- /home/bradarant/barant/ServerCore/File.h
- /home/bradarant/barant/ServerCore/File.cpp